# Create webhook endpoint

This method allows you to configure a webhook endpoint to receive specified events.
<blockquote>
<p>Two identical URLs cannot be configured for one channel.</p>
</blockquote>

Endpoint: POST /webhooks/endpoints
Version: 1.0.0
Security: MerchantID

## Header parameters:

  - `merchant` (string, required)

  - `signature` (string, required)

## Request fields (application/json):

  - `url` (string, required)
    URL for webhook event delivery.

  - `event_types` (array, required)
    List of event types the webhook endpoint is subscribed to.

  - `name` (string)
    Field for storing the webhook configuration name.

  - `status` (string)
    Webhook endpoint status.
    Enum: "active", "inactive"

## Response 200 fields (application/json):

  - `id` (string)
    Webhook endpoint identifier.

  - `url` (string)
    URL for webhook event delivery.

  - `event_types` (array)
    List of event types the webhook endpoint is subscribed to.

  - `name` (string)
    Field for storing the webhook configuration name.

  - `status` (string)
    Webhook endpoint status.
    Enum: "active", "inactive"

  - `created_at` (string)
    Date when the webhook endpoint was created.

  - `updated_at` (string)
    Date when the webhook endpoint was last updated.

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Unauthorized access due to invalid credentials.
    Example: 1.01

  - `error.messages` (array, required)
    Array of error messages applied to the decline payment.

## Response 400 fields (application/json):

  - `error` (object)
    Error object.

  - `error.code` (string, required)
    Error 2.01 code.
    Enum: "2.01"

  - `error.message` (string, required)
    Invalid request.
Missing or incorrect parameters.

  - `error.constraints` (object)
    An object containing validation errors for specific fields. 
Keys are field names, and values are lists of violations with error codes and messages.

## Response 422 fields (application/json):

  - `error` (object, required)
    Error object.

  - `error.code` (string, required)
    Error code.

  - `error.message` (string, required)
    Error message.

